name: ci

on:
  push:
    branches:
      - main
      - feature/*

jobs:
  Build:
    runs-on: docker
    services:
      localstack:
        image: localstack/localstack
        ports:
          - "4566:4566"
        env:
          SERVICES: ssm,dynamodb
    steps:
      - name: Checkout
        uses: actions/checkout@v2
      - name: Setup Go
        uses: actions/setup-go@v3
        with:
          go-version: 1.25
      - name: Configure
        run: |
          git config --global url."https://${{ secrets.GO_MODULES_TOKEN }}:x-oauth-basic@github.com/lmika".insteadOf "https://github.com/lmika"
      - name: Test
        run: |
          set -xue
          go get ./...
          go test -p 1 ./...
        env:
          TEST_DYNAMO_URL: "http://localstack:4566"
          GOPRIVATE: "github:com/lmika/*"
